package com.sckw.core.model.enums;

/**
 * @author lfdc
 * @description 设备状态
 * @date 2023-11-01 10:07:23
 */
public enum IntegrationStatusEnum {

    /**
     * 识别失败
     */
    INTEGRATION_ZERO(0, "0", "未自适应"),
    /**
     * 识别中
     */
    INTEGRATION_ONE(1, "1", "启用自适应"),

    ;

    public Integer getCode() {
        return code;
    }

    public String getStatus() {
        return status;
    }

    public String getDestination() {
        return destination;
    }

    private final Integer code;
    private final String status;
    private final String destination;

    IntegrationStatusEnum(Integer code, String status, String destination) {
        this.code = code;
        this.status = status;
        this.destination = destination;
    }
    public static String getDestination(Integer code) {
        for (IntegrationStatusEnum enums : IntegrationStatusEnum.values()) {
            if (enums.getCode().equals(code)) {
                return enums.getDestination();
            }
        }
        return null;
    }



}